Subject: Re: [Extra] I-D Action: draft-ietf-extra-sieve-special-use-01.txt

From: Stephan Bosch <[email-masked]>
Date: Mon, 21 May 2018 15:05:12 +0200

Hi Ned,

Op 08/01/2018 om 17:50 schreef Ned Freed:
> The text and examples showing the interaction of :specialuse with :create seem
> to assume that mailboxes won't be created without :create. This assumption is
> incorrect; the sieve base specification is quite clear that an implementation
> MAY create the specified mailbox if it doesn't exist even if :create isn't
> specified. (Our implementation is one that always creates missing mailboxes
> specified in fileinto; :create is therefore a no-op.)
>
> I think an implementation that creates by default SHOULD also assign the
> special use attribute by default if it able to do so. This should be covered in
> the text. A reference to the text about fileinto in RFC 5228 is probably in
> order here.
>
> The first example should probably be changed to note that what happens in the
> event there's no mailbox with the \Junk attribute and a mailbox named "Spam"
> doesn't exist is implementation-dependent.
>
> The second example should be tweaked a bit to make it clear that the effect of
> :create is to make the creation of the mailbox unconditional.

I forgot to address this one before. This change should fix that:

https://github.com/ietfextra/draft-ietf-extra-sieve-special-use/commit/29528572c2f0c13bf550679672dd54150cf7a8f7

Regards,

Stephan.

---

From: Stephan Bosch <[email-masked]>
Date: Mon, 21 May 2018 15:13:54 +0200

Hi Ned,

Op 08/01/2018 om 17:50 schreef Ned Freed:
> I have a few observations and comments on this draft.
>
> The sieve language is designed not to be specific to IMAP. However, this
> extension seems to specifically tied to IMAP in general and to RFC 6154
> in particular. This means there's really no reason not to tighten the
> association - in particular, would it not make sense to provide sample
> IMAP command sequences to implement the various things in this specification?
>
> This would be quite helpful to implementors, who might otherwise overlook an
> important step.

[...]

> I'm pretty sure you don't intend this to cover shared folders, so I suggest
> changing the text to say something like:
>
>     a.  at least one mailbox exists in the user's personal namespace
>         [NAMESPACE]  that has that particular special-use flag assigned, and
>
> And add the [NAMESPACE] reference pointing at RFC 2342.
>
> This, incidentially, is one of those places where providing the actual IMAP
> commands will be especially valuable: Pointing out that you should use the
> NAMESPACE extension and if it isn't present, fallback to LIST "" would be very
> helpful.

Here's my initial attempt at addressing this point (separate branch in 
Github):

https://github.com/ietfextra/draft-ietf-extra-sieve-special-use/commit/035a1af6137a383089c8d54cd733238dc2dfebda

This adds an IMAP example for specialuse_exists.

What do you think?

Regards,

Stephan.